Subject: Re: bug#1261: 23.0.60; diary-insert-entry and mouse-autoselect-window

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Oct 2008 21:17:55 -0400

> Using a delay makes the problem worse: after clicking to insert the
> diary entry, the diary buffer is selected, but as soon as the time delay
> of mouse-autoselect-window (I tested with the default value of 0.5
> seconds) elapses, the Calendar buffer automatically becomes selected,
> without my having moved the mouse at all.  Again, typing 'i d' or using
> the menu bar does not show this behavior (instead the diary buffer
> remains selected).

I think I see the problem: normally mouse-autoselect-window only kicks
into action when moving from one window to another.  Whereas in your
particular case it kicks in just by having the mouse in another window
than the selected one.  This is indeed undesirable: the behavior you get
with `i d' is done on purpose and required explicit code.  Somehow we'll
need to improve this code to also catch the case where the mouse was
inside a menu.

        Stefan